NX Open C++ Reference Guide
|
Builder for creating automatically creating segments on end-to-end connected curves. More...
Public Member Functions | |
bool | AllowArcs () |
Returns the flag that allows traversal of arcs when finding connected curves. | |
bool | AllowLines () |
Returns the flag that allows traversal of lines when finding connected curves. | |
bool | AllowOccs () |
Returns the flag that allows traversal of curve occurrences when finding connected curves. | |
bool | AllowSplines () |
Returns the flag that allows traversal of splines when finding connected curves. | |
std::vector< NXOpen::Curve * > | ChainSelectedCurves () |
Finds all curves attached end-to-end with the current list of selected curves. | |
NXOpen::SelectCurveList * | CurveSelection () |
Returns the list of selected curves. | |
void | SetAllowArcs (bool allowArcs) |
Sets the flag that allows traversal of arcs when finding connected curves. | |
void | SetAllowLines (bool allowLines) |
Sets the flag that allows traversal of lines when finding connected curves. | |
void | SetAllowOccs (bool allowOccs) |
Sets the flag that allows traversal of curve occurrences when finding connected curves. | |
void | SetAllowSplines (bool allowSplines) |
Sets the flag that allows traversal of splines when finding connected curves. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating automatically creating segments on end-to-end connected curves.
To create a new instance of this class, use Routing::RouteManager::CreateConnectedCurvesBuilder
Default values.
Property | Value |
---|---|
AllowArcs |
1 |
AllowLines |
1 |
AllowOccs |
1 |
AllowSplines |
1 |
Created in NX6.0.0.
bool NXOpen::Routing::ConnectedCurvesBuilder::AllowArcs | ( | ) |
Returns the flag that allows traversal of arcs when finding connected curves.
If False, the traversal will stop when it hits an arc curve. In addition the curve selection list will not allow arcs to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::ConnectedCurvesBuilder::AllowLines | ( | ) |
Returns the flag that allows traversal of lines when finding connected curves.
If False, the traversal will stop when it hits a line curve. In addition the curve selection list will not allow lines to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::ConnectedCurvesBuilder::AllowOccs | ( | ) |
Returns the flag that allows traversal of curve occurrences when finding connected curves.
If False, the traversal will stop when it hits a curve occurrence. In addition the curve selection list will not allow curve occurrences to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::ConnectedCurvesBuilder::AllowSplines | ( | ) |
Returns the flag that allows traversal of splines when finding connected curves.
If False, the traversal will stop when it hits an spline curve. In addition the curve selection list will not allow splines to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
std::vector<NXOpen::Curve *> NXOpen::Routing::ConnectedCurvesBuilder::ChainSelectedCurves | ( | ) |
Finds all curves attached end-to-end with the current list of selected curves.
The returned list of curves includes the selected curves.
NXOpen::SelectCurveList* NXOpen::Routing::ConnectedCurvesBuilder::CurveSelection | ( | ) |
Returns the list of selected curves.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowArcs | ( | bool | allowArcs | ) |
Sets the flag that allows traversal of arcs when finding connected curves.
If False, the traversal will stop when it hits an arc curve. In addition the curve selection list will not allow arcs to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
allowArcs | allowarcs |
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowLines | ( | bool | allowLines | ) |
Sets the flag that allows traversal of lines when finding connected curves.
If False, the traversal will stop when it hits a line curve. In addition the curve selection list will not allow lines to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
allowLines | allowlines |
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowOccs | ( | bool | allowOccs | ) |
Sets the flag that allows traversal of curve occurrences when finding connected curves.
If False, the traversal will stop when it hits a curve occurrence. In addition the curve selection list will not allow curve occurrences to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
allowOccs | allowoccs |
void NXOpen::Routing::ConnectedCurvesBuilder::SetAllowSplines | ( | bool | allowSplines | ) |
Sets the flag that allows traversal of splines when finding connected curves.
If False, the traversal will stop when it hits an spline curve. In addition the curve selection list will not allow splines to be added to the list.
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
allowSplines | allowsplines |